## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005
##
## Implementaion of miscellaneous game functions

import CvUtil
import CvGameUtils
from CvPythonExtensions import *

# globals
gc = CyGlobalContext()

class CvImmigrantGameUtils(CvGameUtils.CvGameUtils):
	"Miscellaneous game functions"

	def cannotHandleAction(self,argsList):
		pPlot = argsList[0]
		iAction = argsList[1]
		bTestVisible = argsList[2]

		objUnit = CyInterface().getHeadSelectedUnit()
		if(objUnit != None and objUnit.getUnitType() == gc.getInfoTypeForString("UNIT_IMMIGRANT")):
			CyInterface().clearSelectionList()
			return True
					
		return False

	def cannotSelectionListMove(self,argsList):
		pPlot = argsList[0]
		bAlt = argsList[1]
		bShift = argsList[2]
		bCtrl = argsList[3]

		objUnit = CyInterface().getHeadSelectedUnit()
		if(objUnit != None and objUnit.getUnitType() == gc.getInfoTypeForString("UNIT_IMMIGRANT")):
			CyInterface().clearSelectionList()
			return True

		return False
